package com.ruoyi.storageLocation.service;

import com.ruoyi.clMaterial.domain.CYlMaterial;
import com.ruoyi.storageLocation.domain.StorageLocation;

import java.util.List;

/**
 * 库位管理Service接口
 *
 * @author ruoyi
 * @date 2024-02-28
 */
public interface StorageLocationService
{

    /**
     * 获取库位信息
     * @param storageLocation
     * @return
     */
    List<StorageLocation> selectStorageLocationAList(StorageLocation storageLocation);
    List<StorageLocation> selectStorageLocationBList(StorageLocation storageLocation);
    List<StorageLocation> selectStorageLocationCList(StorageLocation storageLocation);

    /**
     * 录入库位信息
     * @param storageLocation
     * @return
     */
    int addStorageLocation(StorageLocation storageLocation);
}
